package io.tswf.groovy.bettergroovy.asm.expansion.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface Expand {
    Class[] targetClasses() default {};
    String[] targetClassInternalNames() default {};

    Class[] excludeInterfaces() default {};
}
