package io.tswf.groovy.bettergroovy.asm.expansion.annotations;

import io.tswf.groovy.bettergroovy.asm.expansion.meta.ExpansionConflictResolveStrategy;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Expansion {
    ExpansionConflictResolveStrategy onConflict() default ExpansionConflictResolveStrategy.WARN;
}
