package io.tswf.groovy.bettergroovy.asm.expansion.reader.exclusion

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.expansion.meta.ExpansionMetadata
import org.objectweb.asm.tree.MethodNode

import javax.annotation.processing.Generated

@AutoService(IExpansionCustomExclusion)
@CompileStatic
class JavaxGeneratedCustomExclusion implements IExpansionCustomExclusion {

    @Override
    boolean isNeedsToExcludeMethod(ExpansionMetadata expansionMeta, MethodNode expansionMethodCandidate) {
        return expansionMethodCandidate.hasAnnotation(Generated)
    }
}
