package io.tswf.groovy.bettergroovy.asm.expansion.generator.conflict

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import groovy.util.logging.Slf4j
import io.tswf.groovy.bettergroovy.asm.expansion.meta.ExpansionConflictResolveStrategy

@AutoService(IConflictResolveStrategyLogic)
@Slf4j
@CompileStatic
class SkipConflictResolveStrategy implements IConflictResolveStrategyLogic {

    @Override
    void handleConflictResolve(ConflictResolveContext context) {
        // Nope
    }

    @Override
    ExpansionConflictResolveStrategy getEnumValue() {
        return ExpansionConflictResolveStrategy.SKIP
    }
}
