package io.tswf.groovy.bettergroovy.asm.expansion.meta

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor
import org.objectweb.asm.tree.MethodNode

@CheckedMapConstructor
@CompileStatic
class ExpansionMethodMetadata {
    ExpansionMetadata expansion
    MethodNode expansionMethod
    ExpansionConflictResolveStrategy conflictResolveStrategy
}

enum ExpansionConflictResolveStrategy {
    OVERWRITE,
    THROW,
    WARN,
    SKIP
}